// Klasa  koja repreyentuje sve tacke u ravni

public class Tacka
{
    // polja
    private double x;   // x koordinata
    private double y;   // y koordinata

    // konstruktor
    public Tacka(double x, double y) 
    {
        
        this.x = x; this.y = y;
    }
    
       
    public Tacka() 
    {
        
        x = 0; y = 0; 
    }
    
    //  metode
    public void predstaviSe()
    {
    
        System.out.println("Ja sam tacka u " 
                             + x + ", " + y);
    }
    
    ///////////////////////////////////    
    public void postaviX(double novoX){
        if(novoX < 10) {
            x = novoX;
        }
    }
    
    public void postaviY(double novoY){
        y = novoY;
    }
    
    public double dajX(){
        return x;   
    }
    
    public double dajY(){
        return y;   
    }
    //////////////////////////////////////
    
    public int kvadrant()
    {
        int kvadrant = 2;
        if(x>=0 && y>=0) {
            kvadrant = 1;    
        } else if(x>=0 && y<=0) {
            kvadrant = 4;
        } else if(x<=0 && y<=0) {
            kvadrant = 3;
        } /*else {
            kvadrant = 2;
        }*/
        return kvadrant;
    }
    
        
    public boolean uPocetku() 
    {
        return x == 0 && y == 0;
    }
    
    public double rastojanjeDo(Tacka t){
    
        double dx = t.dajX() - x;
        double dy = t.dajY() - y;
        return Math.sqrt(dx*dx + dy*dy);
    }
    

}
